/*
 * Copyright 2007 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.gradle.api.tasks.javadoc

import org.gradle.util.GradleUtil

/**
 * @author Hans Dockter
 */
class AntGroovydoc {
    void execute(List sourceDirs, File destDir, AntBuilder ant, List taskClasspath) {
        String groovydoc = """
    ant.taskdef(name: 'groovydoc', classname: 'org.codehaus.groovy.ant.Groovydoc')
    ant.groovydoc(
       destdir: '${GradleUtil.unbackslash(destDir)}',
       sourcepath: '${sourceDirs.collect {GradleUtil.unbackslash(it)}.join(':')}')
"""
        GradleUtil.executeIsolatedAntScript(taskClasspath, groovydoc)
    }

}
